##### 7.7.7.0. lp2ivId

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  lp2ivId(G); G an ideal

Return:
  list

Purpose:
  Converting an ideal into an list of intmats,
  the corresponding intvecs forming the rows.
  For the encoding of the variables see the overview.

Assume:
  - basering has to be a Letterplace ring

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y,z),dp;
    def R = makeLetterplaceRing(5); // constructs a Letterplace ring
    setring R; // sets basering to Letterplace ring
    poly p = x(1)*x(2)*z(3); poly q = y(1)*y(2)*x(3)*x(4);
    poly w = z(1)*y(2)*x(3)*z(4);
    // p,q,w are some polynomials we want to transform into their
    // intvec representation
    ideal G = p,q,w;
    // define the ideal containing p,q and w
    lp2ivId(G); // and return the list of intmats for this ideal
    ==> [1]:
    ==>    1,1,3
    ==> [2]:
    ==>    2,2,1,1,
    ==>    3,2,1,3

User manual for Singular version 4-0-3, 2016, generated by texi2html.